static const char *RcsId = "$Header: /usr/local/CVS/DeviceServer/Specific/BeamLine/Cristal/XPAD/src/XPADStateMachine.cpp,v 1.5 2009/03/25 14:12:33 picca Exp $";
//+=============================================================================
//
// file :         XPADStateMachine.cpp
//
// description :  C++ source for the XPAD and its alowed. 
//                method for commands and attributes
//
// project :      TANGO Device Server
//
// $Author: picca $
//
// $Revision: 1.5 $
//
// $Log: XPADStateMachine.cpp,v $
// Revision 1.5  2009/03/25 14:12:33  picca
// * add the exposure attribute
//
// Revision 1.4  2009/03/25 13:07:08  picca
// * rename the intensity -> intensities
// * add a new intensity scalar attribute #12131
//
// Revision 1.3  2008/12/11 14:52:05  picca
// * add the intensity attribute
//
// Revision 1.2  2008/02/14 11:51:17  elattaoui
// Start and DarkAcquisition commands added
//
// Revision 1.1  2008/01/23 15:25:39  le
// initial import
//
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <XPAD.h>
#include <XPADClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace XPAD_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================


//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_image_allowed
// 
// description : 	Read/Write allowed for image attribute.
//
//-----------------------------------------------------------------------------
bool XPAD::is_image_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_exposure_allowed
// 
// description : 	Read/Write allowed for exposure attribute.
//
//-----------------------------------------------------------------------------
bool XPAD::is_exposure_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_gateNumber_allowed
// 
// description : 	Read/Write allowed for gateNumber attribute.
//
//-----------------------------------------------------------------------------
bool XPAD::is_gateNumber_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_gateMode_allowed
// 
// description : 	Read/Write allowed for gateMode attribute.
//
//-----------------------------------------------------------------------------
bool XPAD::is_gateMode_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_dacl_allowed
// 
// description : 	Read/Write allowed for dacl attribute.
//
//-----------------------------------------------------------------------------
bool XPAD::is_dacl_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_ithl_allowed
// 
// description : 	Read/Write allowed for ithl attribute.
//
//-----------------------------------------------------------------------------
bool XPAD::is_ithl_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_Itune_allowed
// 
// description : 	Read/Write allowed for Itune attribute.
//
//-----------------------------------------------------------------------------
bool XPAD::is_Itune_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_Imfp_allowed
// 
// description : 	Read/Write allowed for Imfp attribute.
//
//-----------------------------------------------------------------------------
bool XPAD::is_Imfp_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_Start_allowed
// 
// description : 	Execution allowed for Start command.
//
//-----------------------------------------------------------------------------
bool XPAD::is_Start_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_Stop_allowed
// 
// description : 	Execution allowed for Stop command.
//
//-----------------------------------------------------------------------------
bool XPAD::is_Stop_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_LoadCalibration_allowed
// 
// description : 	Execution allowed for LoadCalibration command.
//
//-----------------------------------------------------------------------------
bool XPAD::is_LoadCalibration_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_Reset_allowed
// 
// description : 	Execution allowed for Reset command.
//
//-----------------------------------------------------------------------------
bool XPAD::is_Reset_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_Calibrate_allowed
// 
// description : 	Execution allowed for Calibrate command.
//
//-----------------------------------------------------------------------------
bool XPAD::is_Calibrate_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_LoadFlatDacl_allowed
// 
// description : 	Execution allowed for LoadFlatDacl command.
//
//-----------------------------------------------------------------------------
bool XPAD::is_LoadFlatDacl_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		XPAD::is_LoadDefaultConfigG_allowed
// 
// description : 	Execution allowed for LoadDefaultConfigG command.
//
//-----------------------------------------------------------------------------
bool XPAD::is_LoadDefaultConfigG_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace XPAD_ns
